
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Apache Solr介绍及安装 / iVAN</title>

    <meta name="description" content="Apache Solr介绍及安装 Solr是什么 Solr是一个基于Lucene java库的企业级搜索服务器,包含XML/HTTP,JSON API,高亮查询结果,缓存,复制,还有一个WEB管理界面.Solr运行在Servlet容器中,其架构如下: 主要功能包括全文检索,高亮命中,分面搜索(faceted search),近实时索引,动态集群,数据库集成,富文本索引,空间搜索:通过提供分布式索引,复制,负载均衡查询,自动故障转移和恢复,集中配置等功能实现高可用,可伸缩和可容错. Solr和Lucene的本质区别有以下三点:搜索">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Apache Solr介绍及安装</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>Solr是什么</h1>
<p>Solr是一个基于Lucene java库的企业级搜索服务器，包含XML/HTTP，JSON API，高亮查询结果，缓存，复制，还有一个WEB管理界面。Solr运行在Servlet容器中，其架构如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvN3hucmRvLmNvbTEuejAuZ2xiLmNsb3VkZG4uY29tLzIwMTQvc29sci1hcmNoaXRlY3R1cmUuanBn.jpg"></p>
<p>主要功能包括全文检索，高亮命中，分面搜索(faceted search)，近实时索引，动态集群，数据库集成，富文本索引，空间搜索；通过提供分布式索引，复制，负载均衡查询，自动故障转移和恢复，集中配置等功能实现高可用，可伸缩和可容错。</p>
<p>Solr和Lucene的本质区别有以下三点：搜索服务器、企业级和管理。Lucene本质上是搜索库，不是独立的应用程序，而Solr是。Lucene专注于搜索底层的建设，而Solr专注于企业应用。Lucene不负责支撑搜索服务所必须的管理，而Solr负责。所以说Solr是Lucene面向企业搜索应用的扩展。</p>
<p>Solr目前有很多用户了，比较著名的用户有 AOL、 Disney、 Apple等，国内的有淘宝，淘宝的终搜就是基于Solr改造的，终搜用于淘宝的SNS、淘女郎等处的搜索。</p>
<h1>安装和部署</h1>
<h2>1. 下载</h2>
<p>官方网址：<a href="http://lucene.apache.org/solr/" rel="external nofollow noreferrer">http://lucene.apache.org/solr/</a></p>
<p>下载地址：<a href="http://archive.apache.org/dist/lucene/solr/" rel="external nofollow noreferrer">http://archive.apache.org/dist/lucene/solr/</a></p>
<h2>2. 安装与配置</h2>
<p>以solr-4.4.0为例，解压之后的目录如下：</p>
<pre><code>  solr-4.4.0  tree -L 1
.
├── CHANGES.txt
├── contrib
├── dist
├── docs
├── example
├── licenses
├── LICENSE.txt
├── NOTICE.txt
├── README.txt
└── SYSTEM_REQUIREMENTS.txt

5 directories, 5 files
</code></pre>
<p>solr提供一个war包可以运行web界面，该文件位于<code>exmaple/webapps</code>目录下，发布该war包之前需要配置solr home，solr home是索引和配置文件所在的目录。</p>
<p>solr home的设置有好几种方式：</p>
<p>1、 基于环境变量solr.solr.home</p>
<p>直接修改JAVA全局环境变量</p>
<pre><code>export JAVA_OPTS="$JAVA_OPTS -Dsolr.solr.home=/tmp/solrhome"
</code></pre>
<p>你也可以修改<code>TOMCAT_HOME/bin/catalina.sh</code>，在文件开头添加：</p>
<pre><code>JAVA_OPTS='-Dsolr.solr.home=/tmp/solrhome'
</code></pre>
<p>或者，在启动时进行设置。start.jar在源码包中可以找到，内部包含jetty容器。</p>
<pre><code>$ java -Dsolr.solr.home=/tmp/solrhome -jar start.jar
</code></pre>
<p>2、 基于JNDI配置</p>
<p>修改war中的web.xml文件，取消下面对下面的注视，并修改<code>env-entry-value</code>的值。</p>
<pre><code>&lt;env-entry&gt;
   &lt;env-entry-name&gt;solr/home&lt;/env-entry-name&gt;
   &lt;env-entry-value&gt;/tmp/solrhome&lt;/env-entry-value&gt;
   &lt;env-entry-type&gt;java.lang.String&lt;/env-entry-type&gt;
&lt;/env-entry&gt;
</code></pre>
<p>或者，创建solr.xml文件放于<code>TOMCAT_HOME/conf/Catalina/localhost</code>，内容如下：</p>
<pre><code>&lt;?xml version="1.0" encoding="utf-8"?&gt;
&lt;Context docBase="TOMCAT_HOME/webapps/solr.war" debug="0" crossContext="true"&gt;
   &lt;Environment name="solr/home" type="java.lang.String" value="/tmp/solrhomehome" override="true"/&gt;
&lt;/Context&gt;
</code></pre>
<p>3、 基于当前路径的方式</p>
<p>这种情况需要在example目录下去启动tomcat，Solr查找./solr，因此在启动时候需要切换到example目录下面</p>
<h2>3. 在Jetty上运行Solr</h2>
<p>在example目录下，运行下面命令即可启动一个内置的jetty容器：</p>
<pre><code>$ java -Dsolr.solr.home=/tmp/solrhome -jar start.jar
</code></pre>
<p>通过<code>http://localhost:8983/solr</code>即可访问。</p>
<h2>4. 在tomcat中运行Solr</h2>
<p>将<code>example/webapps/solr.war</code>拷贝到tomcat的webapps目录下，然后参照上面的说明设置solr home值。tomcat版本可以使用tomcat-6.0.36。</p>
<p>其次，将<code>example/lib/ext</code>目录中的jar包拷贝到<code>tomcat-6.0.36/webapps/solr/WEB-INF/lib</code>目录下。</p>
<p>然后，将<code>example/resources/log4j.properties</code>也拷到classpath，或者在tomcat-6.0.36/webapps/solr/目录下新建了一个classes目录，将log4j.properties放进去。</p>
<p>这时候启动tomcat后访问<code>http://localhost:8080/solr</code>会提示错误，这是因为solr home目录下没有solr的配置文件和一些目录。请将solr-4.4.0/example/solr/目录下的文件拷贝到solr home目录下，例如：</p>
<pre><code>$ cp -r solr-4.4.0/example/solr/ /tmp/solrhome/
</code></pre>
<p>最后，启动tomcat，然后通过浏览器访问。</p>
<h2>5. 其他</h2>
<h3>关于中文支持</h3>
<p>关于中文，solr内核支持UTF-8编码，所以在tomcat里的server.xml需要进行配置</p>
<pre><code>&lt;Connector port="8080" maxHttpHeaderSize="8192" URIEncoding="UTF-8" /&gt;
</code></pre>
<p>另外，向solr Post请求的时候需要转为utf-8编码。对solr 返回的查询结果也需要进行一次utf-8的转码。检索数据时对查询的关键字也需要转码，然后用“+”连接。</p>
<pre><code>String[] array = StringUtils.split(query, null, 0);
for (String str : array) {
    result = result + URLEncoder.encode(str, "UTF-8") + "+";
}</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 23:50:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Apache Solr介绍及安装的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJwxdwb.html" rel="bookmark">Apache加速模块mod&lowbar;pagespeed安装使用详细介绍&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.mod_pagespeed介绍mod_pagespeed是一个适用于apache httpd的模块,由google发布的开源代码,可以自动完成优化工作,包括优化缓存,减少客户端服务器之间的通讯,降低负载等等.部署mod_pagespeed不用修改任何程序,安装完成后重启apache,一切前端问题自动优化.CDN服务商Cotendo已在其CDN服务器上部署mod_pagespeed以加速客户网站访问,图片文件大小经自动压缩可减少20%-30%,页面加载时间最多可缩短50%.GoDaddy也宣布			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDerGz.html" rel="bookmark">使用Apache Solr对数据库建立索引（包括处理CLOB、CLOB）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下资料整理自网络,觉的有必要合并在一起,这样方便查看.主要分为两部分,第一部分是对&lt;db-data-config.xml&gt;的配置内容的讲解(属于高级内容),第二部分是DataImportHandler(属于基础),第三部分是对db-data-config.xml的进阶(这个国内可能还没有人写过啊,我在google.baidu上都没有搜索到,最后可是拔代码,看solr的英文文档找的) 第一部分是对&lt;db-data-config.xml&gt; query是获取全部数据的SQLdeltaI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkA0Njb.html" rel="bookmark">如何在 Ubuntu 14&sol;15 上配置 Apache Solr</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在 Ubuntu 14/15 上配置 Apache Solr 大家好,欢迎来阅读我们今天这篇 Apache Solr 的文章.简单的来说,Apache Solr 是一个最负盛名的开源搜索平台,配合运行在网站后端的 Apache Lucene,能够让你轻松创建搜索引擎来搜索网站.数据库和文件.它能够索引和搜索多个网站并根据搜索文本的相关内容返回搜索建议. Solr 使用 HTTP 可扩展标记语言(XML),可以为 JSON.Python 和 Ruby 等提供应用程序接口(API).根据 Apa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo3lQvb.html" rel="bookmark">介绍如何安装Jazz服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				欢迎使用 Jazz.安装 Jazz 的工作由单独的服务器和客户端安装组成.本文介绍如何安装 Jazz 服务器. 安装 Jazz的工作由单独的服务器和客户端安装组成.您应该从安装服务器部分开始,然后才进行客户端安装.缺省的服务器配置包括一个 http://www.aliyun.com/zixun/aggregation/14417.html&quot;&gt;Apache Tomcat 服务器,此服务器运行连接到一个 Apache Derby 关系数据库的 Jazz 服务器 Web 应用程序. 服务器安装包			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXJ80p.html" rel="bookmark">apache的源码安装详细过程全纪录&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近要开始学习nagios监控方面的知识了,但是nagios与apache结合的比较紧密,所以本篇文章就先把apache的源码安装学习下. 我们现在分以下步骤进行安装apache: 1. 安装编译环境 2. 卸载原有apache 3. 下载解压源码包 4. 安装apache 5. 测试apache 6. 查看apache安装生成的目录 7. 查看apache的配置文件 8. apache加入系统服务 一.安装编译环境 在安装apache之前,我们需要安装编译apache时所需要的相关软件包,如下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQBWZz.html" rel="bookmark">CentOS下apache&plus;php&plus;mysql编译安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				LAMP的安装是做开发人员比较常做的工作,RPM的安装相对比较容易一些,安装的rpm包以及依赖的包都可以在安装光盘里找到,当然也可以在线下载安装,比如mirrors.sohu.com mirrors.163.com里都有.centos下本生支持yum,所以也可以通过yum的方式来安装,安装起来都比较方便,会自动安装安装倚赖包,这里主要介绍下编译安装的方法. 一.获取相关开源程序 [适用CentOS操作系统]利用CentOS Linux系统自带的yum命令安装.升级所需的程序库(RedHat等其他			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boJQYBz.html" rel="bookmark">windows系统SVN和apache的下载和安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:windows系统SVN和apache的下载和安装   版权声明:转载时请以超链接形式标明文章原始出处和作者信息及本声明http://ejb3.blogbus.com/logs/107443052.html 下载svn和apache,下载地址 apache:http://httpd.apache.org/ svn:http://sourceforge.net/projects/win32svn/ svn有好几个版本,各个版本的都有各自的网站.最初的官网是http://subversion.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4kqE8p.html" rel="bookmark">【Spark Summit East 2017】使用Spark MLlib和Apache Solr构建实时实体类型识别系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本讲义出自Khalifeh Aljadda在Spark Summit East 2017上的演讲,由于实体查询系统中的查询一般比较短,所以由于缺少上下文信息,所以不适合使用传统的bag-of-words模型来确定实体类型,本讲义介绍了一个新颖的实体类型识别系统,该系统使用Spark MLlib和Apache Solr构建,能够结合不同来源的线索来分析出需要查询实体.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnNApG.html" rel="bookmark">Android Studio&lpar;一&rpar;：介绍、安装、配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Studio相关博客: Android Studio(一):介绍.安装.配置 Android Studio(二):快捷键设置.插件安装 Android Studio(三):设置Android Studio编码 Android Studio(四):Android Studio集成Genymotion Android Studio(五):修改Android Studio项目包名 Android Studio(六):Android Studio添加注释模板 Android Studio			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM91gKM.html" rel="bookmark" class="title">android studio-gradle打包Android程序，如何打包时不包含依赖包</a>
					<div>
						问题描述 gradle打包Android程序,如何打包时不包含依赖包 使用gradle打包Android程序,希望不包含依赖的lib中的jar包,就像在eclipse的build Path中勾掉依赖, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9qkdM.html" rel="bookmark" class="title">firefox下event&period;srcElemnet问题</a>
					<div>
						在使用一个网页拾色器的时候,发现FF不支持event.srcElemnet方法,在网上查找了n多方法,都不可行.有的说FF支持even.target但是,我用这个属性的时候一直提示event未定义,很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmQEap.html" rel="bookmark" class="title">如何制定seo项目方案</a>
					<div>
						如果你是一个中型或者大型seo项目负责人那么在项目正式执行前你需要提交一份seo项目方案以便进行收益评估.如果你是一个自由职业的站长那么Mr.Zhao也建议你在建站之前写一份seo规划方案这样你才能对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAkGBb.html" rel="bookmark" class="title">在AutoCAD中快速绘制机械图形中心线</a>
					<div>
						在机械工程制图中,中心线是最常见的一种图线,应用范围很广,使用十分频紧.AutoCAD虽然提供绘制直线段的命令,但没有直接提供绘制标准中心线的命令,用户如果要绘制标准中心线,需要事先根据国家制图标准设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrvPvp.html" rel="bookmark" class="title">对PE资源的研究</a>
					<div>
						前言:没什么好说的,发现这方面的资料全是英文的,于是我一边研究,一边翻译,一边写出自己的心得. 希望大家尊重我的劳动成果,转贴保持完整. 资源一般使用树来保存,通常包含3层,在NT下,最高层是类型,然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl565b.html" rel="bookmark" class="title">设计一个高效的缓存管理服务 C&num;</a>
					<div>
						一直以来,我都发现程序的运行速度不够理想.通过查代码,发现程序对数据库的访问非常频繁,而且检索出来的数据量比较大.为了让程 序运行快起来,我想对程序采用适当的缓存方法. 我在C#尝试了5种方法进行数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPm8BM.html" rel="bookmark" class="title">打造非常奇幻的彩色光丝翅膀</a>
					<div>
						效果图是由非常多的光丝构成,不过这些光丝不是用钢笔勾出路径后描边路径得到的.是用更梦幻的水平光束变形得到的.多条叠加后的效果非常梦幻.   最终效果   &lt;点小图查看大图&gt;   1.在制作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balGaQz.html" rel="bookmark" class="title">win8随心随性网购应用推荐</a>
					<div>
						  淘便宜货就是:如意淘 货比三家 不吃亏,这句老话到现在也是很准的,尤其是当下越来越多的购物网站更是让人眼发花,这时候一款比价软件就很重要了.如意淘收录近3000个购物网站,超过 3亿商品,能够比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M628ENM.html" rel="bookmark" class="title">使用360浏览器来修复IE浏览器的方法</a>
					<div>
						  最近,有网友打开IE浏览器的时候,发现IE浏览器不能用,而打开同一台电脑的360浏览器却可以用,这是怎么回事呢?小编分析,有可能是IE浏览器内核被恶意软件攻击了,所以才会导致IE浏览器不能使用.那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK93dM.html" rel="bookmark" class="title">AdCleaner怎么去除广告</a>
					<div>
						  一.AdCleaner 如何去除广告: AdCleaner是一个反广告APP,并不是越狱插件,所以不越狱也可以使用.遗憾是目前不支持中文,不过这货不需要用到太多英语知识,小学英语水平应该就能玩转了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o5KJb.html" rel="bookmark" class="title">ado&period;net-求一个无参数 调用存储过程的方法，我调用的是列转行的存储过程 但是访问数据库的方法不知道怎么写</a>
					<div>
						问题描述 求一个无参数 调用存储过程的方法,我调用的是列转行的存储过程 但是访问数据库的方法不知道怎么写 访问数据不知道写 存储过程已经写好 解决方案 prepareCall()方法调用存储过程 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QQ4np.html" rel="bookmark" class="title">java-TOMCAT用的时候出现这个问题</a>
					<div>
						问题描述 TOMCAT用的时候出现这个问题 Port 8080 required by J2EE Preview at localhost is already in use. The server  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEx1kp.html" rel="bookmark" class="title">Mac OSX 命令行知识&lbrack;转&rsqb;</a>
					<div>
						from:http://mc2109.blog.163.com/blog/static/2536946200927113035990/ 多 朋友对osx下的命令行操作挠头,估计多数是在windows时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRQEAb.html" rel="bookmark" class="title">轻松自动化---selenium-webdriver&lpar;python&rpar;</a>
					<div>
						本节重点 处理下拉框 switch_to_alert() accept() 下拉框是我们最常见的一种页面元素,对于一般的元素,我们只需要一次就定位,但下拉框里的内容需要进行两次定位,先定位到下拉框,再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAYxQM.html" rel="bookmark" class="title">SSRS &lpar;SQL Server Report Service&rpar; 在IE9&comma; IE10下显示不全的解决办法</a>
					<div>
						原文:SSRS (SQL Server Report Service) 在IE9, IE10下显示不全的解决办法 在做项目的过程中遇到SSRS与IE9, IE10不兼容的情况,具体表现为报表页面在IE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWnmRz.html" rel="bookmark" class="title">大神们，我的yum不能用了，这是怎么回事啊，帮忙解决下？</a>
					<div>
						问题描述 大神们,我的yum不能用了,这是怎么回事啊,帮忙解决下? 10C yum listyum search gccyum install gcc等这些设计yum的命令都会出现问题:Could n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXV7Oz.html" rel="bookmark" class="title">如何根据全局鼠标坐标获取其他窗体？</a>
					<div>
						问题描述 如何根据全局鼠标坐标获取其他窗体? 已使用全局hook记录鼠标点击位置,想要通过位置坐标获取所点击窗体. 简单的说,我要做一个窗体置顶工具,想要通过位置坐标获取窗体并将其置于顶层. 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r7kWz.html" rel="bookmark" class="title">sitemap 可以动态指定吗？</a>
					<div>
						问题描述 我最近做了一个网站用url重写+asp.net2.0遇到一个问题就是网站地图asp.net2.0中的sitemap的各个节点可以在cs代码中指定吗?比如:首页-资讯中心-新闻列表-新闻显示页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAxgAM.html" rel="bookmark" class="title">gdbserver远程调试嵌入式linux应用程序方法</a>
					<div>
						此处所讲的是基于gdb和gdbsever的远程调试方法.环境为:PC机:win7.虚拟机:10.04.下位机:飞嵌TE2440开发板.   嵌入式linux应用程序的开发一般都是在linux里面编写好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo0V8M.html" rel="bookmark" class="title">预测 2014 年最热门的 IT 职位及年薪</a>
					<div>
						众所周知,全球IT技术人才近年来一直都比较紧缺,进入2014年,这种态势可能仍将继续下 去,预计IT技术人才,尤其是高端的IT管理人才将会非常吃香.猎头公司Robert Half的调查显示,有16%的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnROwrp.html" rel="bookmark" class="title">spring-在使用quartz框架的时候添加CronTrigger的时候无法确定第一次执行的时间</a>
					<div>
						问题描述 在使用quartz框架的时候添加CronTrigger的时候无法确定第一次执行的时间 在使用quartz框架的时候遇到的一个问题,具体如下: 在2013-07-16 10:04:57从页面添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8Qy8p.html" rel="bookmark" class="title">c语言的一段代码不会，请大神帮忙</a>
					<div>
						问题描述 c语言的一段代码不会,请大神帮忙 2C 无向带权图 解决方案 http://download.csdn.net/detail/zhangjinfu110/4575505 解决方案二: 图片太 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmA2qp.html" rel="bookmark" class="title">node&period;js中的buffer&period;write方法使用说明&lowbar;node&period;js</a>
					<div>
						方法说明: 将string使用指定的encoding写入到buffer的offset处. 返回写入了多少个八进制字节. 如果Buffer没有足够的空间来适应整个string,那么将只有string的部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn89K2b.html" rel="bookmark" class="title">ASP&period;NET实现多域名多网站共享Session值的方法&lowbar;实用技巧</a>
					<div>
						ASP.NET实现多域名多网站共享Session值 1.实现功能:可设置哪些站点可以共享Session值,这样就防止别人利用这个去访问 要想实现这个功能就必须得把Session值 放入数据库中, 所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEYJZz.html" rel="bookmark" class="title">Windows2008R2配置PHP5&period;6&plus;SQLServer2008（X64）环境【图文教程】</a>
					<div>
						相关理论 1. IIS支持多种方式来扩展语言,对于IIS7来说,通过FastCGI方式来执行PHP文件 2. PHP通过配置文件中的&quot;extension&quot;项,扩展支持一些功能,但目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2Y26M.html" rel="bookmark" class="title">javascript&plus;json取代数据库和服务器</a>
					<div>
						问题描述 如果一个网站要处理的数据量不是很大,把原来数据库里的数据保存在json里,在浏览器里用javascript操作json,一样可以实现后台php+MySQL的功能吧,这样不就不用数据库和web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYZ6Nb.html" rel="bookmark" class="title">一个菜鸟SEOer对白帽和黑帽SEO的理性思考</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 这个世界似乎总有一些东西是对立的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLv3DM.html" rel="bookmark" class="title">datagridview显示问题</a>
					<div>
						问题描述 通过treeview条件查询,把查询数据显示在datagridview上,然后对此datagridview的数据进行增删改,如何使保存后,datagridview依旧是此条件查询的结果? 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV0qaz.html" rel="bookmark" class="title">C&num;连接autoCAD选择已经创建好的面域，如何获取截面的面积矩？</a>
					<div>
						问题描述 其他的截面参数都可以直接获取,就是不知道怎么计算截面的面积矩,并且要获取的截面都是不规则的.谢谢,请高手指教!在cad中操作如下,不知道如何用程序自动实现.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvNaxM.html" rel="bookmark" class="title">以讹传讹，社交网络的欺诈套路太深</a>
					<div>
						本文讲的是以讹传讹,社交网络的欺诈套路太深, 上个周末,你的社交网络肯定被一则消息刷屏了,这则消息声称主要的航空公司正在免费提供机票.来自世界各地的用户都对该消息进行了转发,消息中涉及到的航空公司有阿 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
